Package org.apache.commons.io.output

# Class UncheckedFilterWriter.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.build.AbstractOriginSupplier<T,B>
org.apache.commons.io.build.AbstractStreamBuilder<UncheckedFilterWriter,UncheckedFilterWriter.Builder>
org.apache.commons.io.output.UncheckedFilterWriter.Builder

All Implemented Interfaces:
  `IOSupplier<UncheckedFilterWriter>`

Enclosing class:
  UncheckedFilterWriter

public static class UncheckedFilterWriter.Builder extends AbstractStreamBuilder<UncheckedFilterWriter,UncheckedFilterWriter.Builder>
Builds a new `UncheckedFilterWriter`.

Using File IO:

     UncheckedFilterWriter s = UncheckedFilterWriter.builder()
       .setFile(file)
       .get();

Using NIO Path:

     UncheckedFilterWriter s = UncheckedFilterWriter.builder()
       .setPath(path)
       .get();

See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UncheckedFilterWriter`
  `get()`
  Builds a new `UncheckedFilterWriter`.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public UncheckedFilterWriter get() throws IOException
    Builds a new `UncheckedFilterWriter`.

    You must set input that supports `AbstractStreamBuilder.getWriter()` on this builder, otherwise, this method throws an exception.

    This builder use the following aspects:

    - `AbstractStreamBuilder.getWriter()`
    Returns:
      a new instance.
    Throws:
      `UnsupportedOperationException` - if the origin cannot provide a Writer.
      `IOException` - if an I/O error occurs.
    See Also:
      - `AbstractStreamBuilder.getWriter()`